%define name spicctrl
%define version 1.5
%define release 2mdk

Summary: Sony Vaio SPIC control program
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Other
Source: http://spop.free.fr/sonypi/spicctrl-1.5.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://spop.free.fr/sonypi/
ExclusiveArch: %{ix86}

%description 
Spicctrl is an utility than can use the Sony Programmabile I/O Control
Device (SPIC), to do a dew simple things (brigthness, etc).

This utility requires that the sonypi kernel module is loaded.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 spicctrl $RPM_BUILD_ROOT%{_bindir}
install -m 644 spicctrl.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}/spicctrl
%{_mandir}/man1/spicctrl*

%changelog
* Wed Feb 19 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5-2mdk
- Rebuilt (Grrrr...).

* Wed Feb 19 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5-1mdk
- Release: 1.5.

* Thu Aug 01 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3-1mdk
- initial release.
